<?php include('config.php'); ?>
<?php
    include('includes/lib.inc.php');
    include('classes/MemberClass.php');
    include('classes/OrderClass.php');
    include('classes/RecipeClass.php');

    $order = new Order();
    
    if(isset($_SESSION["SESS_MEMBER_ID"])) $member = new Member();
    
    $title = "FoxFoods";
    $top_menu = 'all-recipes';
    $top_menu_name = 'ON THE MENU';
    $keywords = "Recipes Ordering in Bangalore";
    $description = "Foxfoods is a Recipes Delivery company";
    $custom_css = array();
    $custom_js = array('js/custom_wishlist.js');
    include('top.php');
    include('header.php');
    $search_for = ($_GET["recipe"])?clean($_GET["recipe"]):0;
?>


    <div class="container-fluid" style="background:url(<?php echo STRSITE; ?>img/light_grey.png)">
     <div class="container" style="padding:20px 0px; background:#fff;">
        <div class="row">
            <div class="col-md-12" style="text-align:center">
                <span style="font-size:48px; font-weight:300;">ALL RECIPES</span>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12" style="padding:0 100px;">
                <form method="get" action="">
                    <input type="text" name="recipe" style="width:100%; padding:10px 20px; margin:20px 0 0 0 " placeholder="Search for recipe" value="<?php echo ($search_for != 0)?$search_for:''; ?>">
                </form>
            </div>
        </div>
        <?php if($search_for){ ?>
          You have searched for <?php echo $search_for; ?>
          <a href="<?php echo get_page_url('all-recipes') ?>">Dismiss</a>
        <?php } ?>
        <div class="row" id="recipe-cart-layout" style="margin-top:20px; position:relative">
            <div style="">
                <div class="row">
                  <!-- START ALL RECIPES -->
                <?php if(!$search_for): ?>
                  <?php
                  $query = mysql_query("SELECT food_items.id from food_items inner join menu_recipes where food_items.id = menu_recipes.food_id ");

                  $f_items = array();
                  while($f_in = mysql_fetch_array($query)){
                    array_push($f_items, $f_in["id"]);
                  }

                  if(sizeof($f_items) == 0){
                    $query = mysql_query("SELECT id from food_items where id=0");
                  } else {
                    $query = mysql_query("SELECT id from food_items where id NOT IN (".implode(',', $f_items).") ");
                  }

                  while($row = mysql_fetch_array($query)){ 
                    $recipe = new Recipe($row["id"],true);
                   ?>
                    <div class="col-md-3">
                        <div class="food-item-div" id="food-item-<?php echo $row["id"] ?>">
                            <div>
                                <a href="<?php echo get_page_url("recipe",$recipe->food_slug) ?>" target="_blank"><img src="<?php echo STRSITE.IMG_DIR.$recipe->square_image; ?>"></a>
                            </div>
                            <div style="padding:10px;">
                            <div class="food-item-heading">
                              <a href="<?php echo get_page_url("recipe",$recipe->food_slug) ?>" target="_blank"><?php echo $recipe->food_name; ?></a>
                               <?php
                                    if(isset($_SESSION["SESS_MEMBER_ID"])){
                                        if($recipe->in_user_wishlist($_SESSION["SESS_MEMBER_ID"])){
                                    ?>
                                     <a href="javascript:;" class=" tooltip-set icon-green"  data-toggle="tooltip" title="This item is already added in your wishlist"><i class="fa fa-pencil-square"></i></a>
                                    <?php
                                    } else {
                                        ?>
                                         <a href="javascript:;" class=" tooltip-set icon-red wishlist-add" dish-data="<?php echo $recipe->id ?>" data-toggle="tooltip" title="Click to add in your wishlist"><i class="fa fa-pencil-square"></i></a>
                                        <?php
                                    }
                                    } else {
                                        ?>

                                        <a href="<?php echo get_page_url('login') ?>" class=" tooltip-set icon-red"  data-toggle="tooltip" title="Please login to add this item in your wishlist"><i class="fa fa-pencil-square"></i></a>
                                        <?php
                                    }

                                ?>
                            </div>
                                
                            </div>
                        </div>
                    </div>
                  <?php $count++; } ?>
                <?php endif; ?>
                  <!-- END ALL RECIPES -->
                  
                  <!-- START SEARCH RECIPES -->
                <?php if($search_for): ?>
                  <?php
                  $count = 220;
                  $food_id_ar = array();
                  $query = mysql_query("SELECT id from food_items where food_name LIKE '%$search_for%' ");
                  while($row = mysql_fetch_array($query)){
                    $recipe = new Recipe($row["id"],true);

                   ?>
                    <div class="col-md-3">
                        <div class="food-item-div" id="food-item-<?php echo $row["id"] ?>">
                            <div>
                                <a href="<?php echo get_page_url("recipe",$recipe->food_slug) ?>" target="_blank"><img src="<?php echo STRSITE.IMG_DIR.$recipe->square_image; ?>"></a>
                            </div>
                            <div style="padding:10px;">
                            <div class="food-item-heading">
                              <a href="<?php echo get_page_url("recipe",$recipe->food_slug) ?>" target="_blank"><?php echo $recipe->food_name; ?></a>
                               <?php
                                    if(isset($_SESSION["SESS_MEMBER_ID"])){
                                        if($recipe->in_user_wishlist($_SESSION["SESS_MEMBER_ID"])){
                                    ?>
                                     <a href="javascript:;" class=" tooltip-set icon-green"  data-toggle="tooltip" title="This item is already added in your wishlist"><i class="fa fa-pencil-square"></i></a>
                                    <?php
                                    } else {
                                        ?>
                                         <a href="javascript:;" class=" tooltip-set icon-red wishlist-add" dish-data="<?php echo $recipe->id ?>" data-toggle="tooltip" title="Click to add in your wishlist"><i class="fa fa-pencil-square"></i></a>
                                        <?php
                                    }
                                    } else {
                                        ?>

                                        <a href="<?php echo get_page_url('login') ?>" class=" tooltip-set icon-red"  data-toggle="tooltip" title="Please login to add this item in your wishlist"><i class="fa fa-pencil-square"></i></a>
                                        <?php
                                    }

                                ?>
                            </div>
                                
                            </div>
                        </div>
                    </div>
                  <?php $count++; } ?>
                <?php endif; ?>
                  <!-- END SEARCH RECIPES -->


                </div>
            </div>
        </div>
    </div>
   </div>
   <?php require_once 'footer.php'; ?>
   <?php require_once 'bottom.php'; ?>